/**
 * Get MD5Hash for the image url to verify whether user has default image or custom image
 * @param url
 */
/**
 * Load SPFx component by id, SPComponentLoader is used to load the SPFx components
 * @param componentId - componentId, guid of the component library
 */
/**
 * Gets image base64
 * @param pictureUrl
 * @returns image base64
 */
export declare const getImageBase64: (pictureUrl: string) => Promise<string>;
export declare const blobToBase64: (blob: Blob) => Promise<string>;
export declare const getScrollPosition: (_dataListContainerRef: {
    scrollTop: any;
    scrollHeight: any;
    clientHeight: any;
}) => number;
export declare const b64toBlob: (b64Data: any, contentType: string, sliceSize?: number) => Promise<Blob>;
export declare const saveItemToCache: (key: string, value: any, storage?: string) => boolean;
export declare const getItemFromCache: (key: string, storage?: string) => any;
export declare const removeItemFromCache: (key: string, storage?: string) => void;
