import { Site, Subscription } from "@microsoft/microsoft-graph-types";
import "isomorphic-fetch";
export declare enum EListType {
    "file" = "file",
    "listItem" = "listItem"
}
export declare const useMsGraphAPI: () => {
    getSiteInfo: (siteId: string) => Promise<any>;
    getLists: (searchString: string) => Promise<any>;
    getListInfo: (siteId: string, listId: string) => Promise<any>;
    getListSockectIo: (siteId: string, listId: string) => Promise<Subscription>;
    getSiteInfoByRelativeUrl: (url: string) => Promise<Site>;
    getUserPhoto: (user: string) => Promise<string>;
};
